petsc-3.12.1 2019-10-22
Report Typos and Errors

# KSPLSQRMonitorDefault

Print the residual norm at each iteration of the LSQR method, norm of the residual of the normal equations A'*A x = A' b, and estimate of matrix norm ||A||.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPLSQRMonitorDefault(KSP ksp,PetscInt n,PetscReal rnorm,PetscViewerAndFormat *dummy)

Collective on ksp

### Input Parameters

| ksp | - iterative context
| n | - iteration number
| rnorm | - 2-norm (preconditioned) residual value (may be estimated).
| dummy | - viewer and format context

### See Also

KSPLSQR, KSPMonitorSet(), KSPMonitorTrueResidualNorm(), KSPMonitorLGResidualNormCreate(), KSPMonitorDefault()

### Level

intermediate

### Location

src/ksp/ksp/impls/lsqr/lsqr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages